For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

block last

get

https://pro-api.solscan.io/v2.0/block/last

Get the list of the latest blocks

QUERY PARAMS

limit

number

Number of items to return

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

fee_rewards

number

The total fee rewards for this block

transactions_count

number

The number of transactions of this block

current_slot

number

The current slot index of this block

block_height

number

The number of blocks beneath this block

block_time

number

The Unix time of this block

time

string

The time of this block

blockhash

string

The blockhash of this block

parent_slot

string

The slot index of this block's parent

previous_block_hash

string

The blockhash of this block's parent

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples